
D4Science Infrastructure - Task #4144

Two VMs are needed to test the pgpool replication functionalities

May 31, 2016 12:27 PM - Andrea Dell'Amico

Status: Closed Start date: May 31, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

As it's impossibile to test the failover scripts in a working cluster without creating disservice, two machines are needed to test the

scripts before putting them in production.

Related issues:

Blocks D4Science Infrastructure - Task #2227: test replication tools for post... Closed Feb 10, 2016

History

#1 - May 31, 2016 12:27 PM - Andrea Dell'Amico

- Blocks Task #2227: test replication tools for postgres added

#2 - May 31, 2016 12:29 PM - Andrea Dell'Amico

Requirements:

2 GB of RAM

20 GB of disk

2 CPUs

The VMs will be destroyed as soon as the solution works.

#3 - May 31, 2016 12:52 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 10

postgres3-d-d4s.d4science.org and postgres4-d-d4s.d4science.org, up and running, 10 GB disk at the moment

#4 - Jun 07, 2016 06:25 PM - Andrea Dell'Amico

- % Done changed from 10 to 80

The machines are ready to be tested.

#5 - Jun 09, 2016 04:43 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

#6 - Jul 12, 2016 05:20 PM - Andrea Dell'Amico

I destroyed the VMs.
